import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:engage_plugin/engage_plugin_method_channel.dart';

void main() {
  MethodChannelEngagePlugin platform = MethodChannelEngagePlugin();
  const MethodChannel channel = MethodChannel('engage_plugin');

  TestWidgetsFlutterBinding.ensureInitialized();

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });
}
